Subject: Re: Adding push configuration to .git/config

From: Jakub Narebski <[email-masked]>
Date: Fri, 30 Nov 2007 01:37:59 +0100

Junio C Hamano wrote:

> IIRC, there was a suggestion to enhance remote.$name configuration in
> this way instead, so that you can use different URL for fetching and
> pushing:
> 
>         [branch "foo"]
>         remote = "there"
>         merge = refs/heads/master
> 
>         [remote "there"]
>         url = git://git.there.xz/repo.git
>         push_url = git.there.xz:repo.git
>         push_url = git.there.xz:backup.git
>         fetch = refs/heads/*:refs/remotes/there/*
> 
> I further vaguely recall that the comments on the alternative were
> positive (it might have been you who responded, or somebody else, I do
> not remember).

If I remember correctly one of the suggestions was to allow for multiple
URLs, and for fetch use _first_ one that responds, for push use _all_
that are _possible_ to push to. Or at least support multiple url for
push; this way you would have to configure separate remote for fetch and
for push, but you would have to push only once to push to all repos.

But push_url, or pushURL seems like better idea, IMHO.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git